Bug 998622 - Minor typo in Development Guide
Minor typo in Development Guide
Status: NEW
Product: Virtualization Tools
Classification: Community
Component: libvirt-appdev-guide (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Libvirt Maintainers
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-19 11:42 EDT by Jonathan Lebon
Modified: 2015-03-17 12:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Lebon 2013-08-19 11:42:19 EDT
Description of problem:

In Example 4.5 of Section 4.2 (http://libvirt.org/guide/html/Application_Development_Guide-Guest_Domains-Listing.html), virConnectListDomains() is used instead of virConnectListDefinedDomains().
Comment 1 Martin Kletzander 2013-08-20 04:39:03 EDT
Unfortunately the guide is not up-to-date.  These functions are deprecated anyway and should be changed to use ListAll* functions.  However this was fixed already, but the documentation is not being re-built regularly (due to no changes mostly).

Fixed in:

commit 98e07682766875611f981901f957e8bce5f88b3a
Author: Eric Blake <eblake@redhat.com>
Date:   Wed Nov 24 09:53:26 2010 -0700

    fix typo in domain listing example

Note You need to log in before you can comment on or make changes to this bug.